List public marketplace APIs
curl --request GET \
--url https://api.peel.sh/public/marketplace \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peel.sh/public/marketplace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.peel.sh/public/marketplace"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"source_host": "<string>",
"source_url": "<string>",
"endpoint_count": 1,
"requires_session": true,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"search_truncated": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}Marketplace
List public marketplace APIs
GET
/
public
/
marketplace
List public marketplace APIs
curl --request GET \
--url https://api.peel.sh/public/marketplace \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peel.sh/public/marketplace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.peel.sh/public/marketplace"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"source_host": "<string>",
"source_url": "<string>",
"endpoint_count": 1,
"requires_session": true,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"search_truncated": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}Query Parameters
⌘I